putty
API ReferenceEngine

Read a run

Returns one run's status and counters. Poll this, or follow the events endpoint, while a run is in flight.

GET
/projects/{projectId}/runs/{runId}

Returns one run's status and counters. Poll this, or follow the events endpoint, while a run is in flight.

Path Parameters

projectId*string

The project the run belongs to.

runId*string

The run to read.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/runs/string"
{  "id": "string",  "projectId": "string",  "status": "queued",  "prompt": "string",  "model": "string",  "recipeId": "string",  "steps": 0,  "tokensIn": 0,  "tokensOut": 0,  "sandboxMs": 0,  "error": "string",  "startedAt": "string",  "finishedAt": "string",  "createdAt": "string"}